# Changelog

All notable changes to this project will be documented in this file.

## [Unreleased]

### Added
- Initial implementation of the ProtonImage widget.

### Features
- Ability to display images from network URLs.
- Customizable height and aspect ratio.
- Option to set border radius for rounded corners.
- Support for loading indicator with shimmer effect.
- Customizable shimmer effect colors.
- Ability to specify fallback background color.
- Support for BoxFit to control how the image is inscribed into the widget.
- Widget tested with unit tests for basic functionality.

### Example
- Created an [example](https://pub.dev/packages/protonimage/example) usage of the ProtonImage widget.

## 1.1.0
- Sync with latest API

## 1.0.9
- Additional personalized customize added 

## 1.0.9
- Sync with latest dependencies

## 1.0.7
- Update in core dependencies

## 1.0.6
- Enhanced Widget API

## 1.0.5
- Added new API information on documentation

## 1.0.4
- Additional appearance customize added 

## 1.0.3
- Personalized image overlay added

## 1.0.2
- Shimmer default `base` and `higlight` color added

## 1.0.1
- Added detailed information on documentation

## 1.0.0
- Initial release of the Protonimage package.
