import 'package:flutter_test/flutter_test.dart';
import 'package:protonimage/protonimage.dart';
import 'package:flutter/material.dart';

void main() {
  testWidgets('ProtonImage widget test', (WidgetTester tester) async {
    await tester.pumpWidget(
      MaterialApp(
        home: ProtonImage(
          path:
              'https://cdn.dribbble.com/users/730703/screenshots/17515984/media/4dd92322fb915b00e6a0f0f3b1d4bf6c.jpg',
          height: 200,
          radius: 20,
        ),
      ),
    );

    expect(find.byType(ProtonImage), findsOneWidget);

    expect(find.byType(Image), findsOneWidget);
  });
}
